Returns a list of points that will expire soon and can be sent a notification to the customer warning about the expiration.
The date range is based on the days before expiration configured in the BonifiQ Admin Panel
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Items": [
{
"Id": "<string>",
"EventDate": "2023-11-07T05:31:56Z",
"Points": 123,
"Cashback": 123,
"ExpirationDate": "2023-11-07T05:31:56Z",
"Type": 0,
"Customer": {
"OriginalId": "<string>",
"PublicId": "<string>",
"Name": "<string>",
"Email": "<string>",
"Phone": "<string>",
"BirthdayDate": "2023-11-07T05:31:56Z",
"SignupDate": "2023-11-07T05:31:56Z",
"Document": "<string>",
"IsEnrolled": true,
"ReferralURL": "<string>",
"WhatsappReferralUrl": "<string>",
"CurrentTier": {
"Name": "<string>",
"Color": "<string>",
"IconUrl": "<string>"
},
"BalanceOfPoints": 123,
"BalanceCashback": 123,
"Segments": [
{
"Name": "<string>",
"Tag": "<string>"
}
]
},
"NotificationDate": "2023-11-07T05:31:56Z",
"CashbackPercent": 123,
"TotalCashbackAvailable": 123
}
],
"TotalItemCount": 123,
"PageSize": 123,
"PageNumber": 123,
"HasNextPage": true,
"HasError": true,
"ErrorMessages": [
"<string>"
]
}Reports
Returns a list of points that will expire soon and can be sent a notification to the customer warning about the expiration. The date range is based on the days before expiration configured in the BonifiQ Admin Panel
GET
/
v1
/
pvt
/
Reports
/
ListExpirePointsNotification
Returns a list of points that will expire soon and can be sent a notification to the customer warning about the expiration.
The date range is based on the days before expiration configured in the BonifiQ Admin Panel
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Reports/ListExpirePointsNotification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Items": [
{
"Id": "<string>",
"EventDate": "2023-11-07T05:31:56Z",
"Points": 123,
"Cashback": 123,
"ExpirationDate": "2023-11-07T05:31:56Z",
"Type": 0,
"Customer": {
"OriginalId": "<string>",
"PublicId": "<string>",
"Name": "<string>",
"Email": "<string>",
"Phone": "<string>",
"BirthdayDate": "2023-11-07T05:31:56Z",
"SignupDate": "2023-11-07T05:31:56Z",
"Document": "<string>",
"IsEnrolled": true,
"ReferralURL": "<string>",
"WhatsappReferralUrl": "<string>",
"CurrentTier": {
"Name": "<string>",
"Color": "<string>",
"IconUrl": "<string>"
},
"BalanceOfPoints": 123,
"BalanceCashback": 123,
"Segments": [
{
"Name": "<string>",
"Tag": "<string>"
}
]
},
"NotificationDate": "2023-11-07T05:31:56Z",
"CashbackPercent": 123,
"TotalCashbackAvailable": 123
}
],
"TotalItemCount": 123,
"PageSize": 123,
"PageNumber": 123,
"HasNextPage": true,
"HasError": true,
"ErrorMessages": [
"<string>"
]
}Authorizations
Use API Basic Auth Keys
Query Parameters
Number of items per page (default: 10, max: 10000)
Response
200 - application/json
Base List response model methods
Collection with the found entities on the bonifiq DB.
Show child attributes
Show child attributes
Total of rewards Configurations founds.
Pagination size
Actual Page Number
true if there is another page to be load.
If true the request had an error.
List with the error messages
Was this page helpful?